<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_centerInParent="true"
    android:layout_marginLeft="20dp"
    android:layout_marginRight="20dp"
    android:id="@+id/rl_all"
    android:background="@color/transparent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="@dimen/dp_314"
        android:layout_height="460dp"
        android:layout_centerInParent="true">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@id/cl_content"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/bg_score_share"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent">


            <View
                android:layout_width="@dimen/dp_198"
                android:layout_height="@dimen/dp_114"
                android:background="@drawable/bg_score_share_top1"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="@dimen/dp_129"
                android:layout_height="@dimen/dp_125"
                android:layout_marginTop="5dp"
                android:layout_marginRight="3dp"
                android:background="@drawable/bg_score_share_top2"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />


            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/im_header"
                android:layout_width="@dimen/dp_49"
                android:layout_height="@dimen/dp_49"
                android:layout_marginLeft="14dp"
                android:layout_marginTop="44dp"
                android:src="@drawable/icon_teacher_default_head"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_teacher_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_18"
                android:textStyle="bold"
                app:layout_constraintLeft_toRightOf="@+id/im_header"
                app:layout_constraintTop_toTopOf="@+id/im_header"
                tool:text="李老师" />

            <TextView
                android:id="@+id/tv_msg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:layout_marginBottom="2dp"
                android:text="酷乐秀入驻老师"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_14"
                app:layout_constraintBottom_toBottomOf="@+id/im_header"
                app:layout_constraintLeft_toRightOf="@+id/im_header" />


            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_content"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_209"
                android:layout_marginLeft="14dp"
                android:layout_marginTop="25dp"
                android:layout_marginRight="14dp"
                android:background="@drawable/bg_white_10dp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/im_header">


                <TextView
                    android:id="@+id/tv_update_count"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="21dp"
                    android:layout_marginTop="16dp"
                    android:textColor="@color/color_349784"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tool:text="我在酷乐秀上传了16支乐谱" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_list"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:layout_marginBottom="20dp"
                    app:layout_constraintTop_toBottomOf="@+id/tv_update_count" />
            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_104"
                android:layout_marginLeft="14dp"
                android:layout_marginTop="14dp"
                android:layout_marginRight="14dp"
                android:background="@drawable/bg_white_10dp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/cl_content">

                <ImageView
                    android:id="@+id/im_logo"
                    android:layout_width="@dimen/dp_93"
                    android:layout_height="@dimen/dp_32"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="22dp"
                    android:background="@drawable/icon_share_logo"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="14dp"
                    android:text="扫码下载酷乐秀开启教学之旅"
                    android:textColor="@color/color_349784"
                    android:textSize="@dimen/sp_13"
                    app:layout_constraintLeft_toLeftOf="@+id/im_logo"
                    app:layout_constraintTop_toBottomOf="@+id/im_logo" />

                <ImageView
                    android:id="@+id/im_qr_code"
                    android:layout_width="@dimen/dp_68"
                    android:layout_height="@dimen/dp_68"
                    android:layout_marginTop="19dp"
                    android:layout_marginRight="19dp"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="37dp"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_save"
            android:layout_width="@dimen/dp_156"
            android:layout_height="@dimen/dp_44"
            android:layout_marginRight="3dp"
            android:background="@drawable/border_corner_2dc7aa"
            android:gravity="center"
            android:text="保存图片"
            android:textColor="@color/color_2dc7aa"
            android:textSize="@dimen/sp_18" />

        <TextView
            android:id="@+id/tv_share"
            android:layout_width="@dimen/dp_156"
            android:layout_height="@dimen/dp_44"
            android:layout_marginLeft="3dp"
            android:background="@drawable/shape_course_status_ing"
            android:gravity="center"
            android:text="立即分享"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_18" />
    </LinearLayout>
</RelativeLayout>